
/*
 * Our base minor number, at least for testing.
 */

#define TIGLUSB_MINOR 225

/*
 * Version Information
 */

#define DRIVER_VERSION "v0.15b"
#define DRIVER_AUTHOR "Julien BLACHE <jb@technologeek.org>"
#define DRIVER_DESC "TI GraphLink USB driver for Linux (C) 2001"

/*
 * The driver context... subject to changes...
 */

typedef struct
{
  struct usb_device *usbdev;
  struct semaphore mutex;
  unsigned int devnum;
  devfs_handle_t devfs;
  unsigned int opened;
  unsigned int remove_pending;
  char *rcv_buf;
  int rcv_pos;
  purb_t rcv_in_urb;
  wait_queue_head_t wait;
} tiglusb_t,*ptiglusb_t;

/*
 * Max. number of devices supported
 */

#define MAXTIGL 16

/*
 * Max. packetsize for RCV and SND pipe
 */

#define BULK_RCV_MAX 32
#define BULK_SND_MAX 32

static tiglusb_t tiglusb[MAXTIGL];

extern devfs_handle_t usb_devfs_handle;
